
SoundSoftware Code Site - Bug #341
Feature # 14 (New): tags for projects
Clicking on a tag does not show tag in filter area
2011-11-18 04:27 PM - Chris Cannam

Status: In Progress Start date: 2011-11-18
Priority: Low Due date:
Target version:
Description

If you get to the project list by clicking on a tag, the project list is (correctly) filtered by tag -- but the filter area doesn't reflect this, it
shows no tags.

History
#1 - 2011-11-21 03:58 PM - Luis Figueira
- Assignee changed from Luis Figueira to Chris Cannam

Fixed in commit:eebd5b1f5eb0.

#2 - 2011-11-21 04:48 PM - Luis Figueira
- Status changed from New to Resolved

#3 - 2011-11-21 04:54 PM - Chris Cannam
- Status changed from Resolved to In Progress

Verified that the fix works, but two problems still:

    -  Minor problem: the Filters box may be invisible (because its toggling pane is closed)

    -  Major problem with hopefully minor fix: the tags are not filtered against HTML injection, e.g. /projects?project[tag_list]=<b>bold</b> will render the
tag in bold

#4 - 2011-11-21 05:10 PM - Luis Figueira

The Filters Fieldset is now visible (commit:829052890acb);

#5 - 2011-11-21 05:18 PM - Luis Figueira
- Status changed from In Progress to Feedback

stripping all html tags (JS only) - commit:9f2bc483b7ec

#6 - 2011-11-23 10:57 AM - Chris Cannam
- Status changed from Feedback to In Progress
- Assignee changed from Chris Cannam to Luis Figueira

Confirmed that

http://test.soundsoftware.ac.uk/cannam/projects?project[tag_list]=small%3Cb%3Egnawing%3C/b%3Ethings

now gives a tag with the HTML stripped.

However,

http://test.soundsoftware.ac.uk/cannam/projects?project[tag_list]=small+gnawing+things

still gives a tag with + instead of spaces -- this is a problem because that's what you get if you click on a tag that has spaces in it in the projects list.

Also, if I actually type "small<b>gnawing</b>things" into the tag text field and hit Return, the gnawing bit comes up in bold, the tags are not stripped.

#7 - 2011-11-23 05:06 PM - Chris Cannam
- Priority changed from Normal to Low
- % Done changed from 0 to 90

OK, happy with it now -- except for one tiny thing,

http://test.soundsoftware.ac.uk/cannam/projects?project[tag_list]=small+gnawing+things

still shows the + signs in the tag in the filter area (even though it searches for the correct tag with its spaces)
